DBusServerVTable Struct Reference

Virtual table to be implemented by all server "subclasses". More...

`#include <dbus-server-protected.h>`

## Data Fields

void(* | finalize )(DBusServer *server)
| The finalize method must free the server. More...
void(* | disconnect )(DBusServer *server)
| Disconnect this server. More...

## Detailed Description

Virtual table to be implemented by all server "subclasses".

Definition at line 43 of file dbus-server-protected.h.

## Field Documentation

void(* DBusServerVTable::disconnect)(DBusServer *server)

Disconnect this server.

Definition at line 48 of file dbus-server-protected.h.

Referenced by dbus_server_disconnect().

void(* DBusServerVTable::finalize)(DBusServer *server)

The finalize method must free the server.

Definition at line 45 of file dbus-server-protected.h.

Referenced by _dbus_server_unref_unlocked(), and dbus_server_unref().

The documentation for this struct was generated from the following file:

- dbus-server-protected.h